Description

We're evaluating idea to give access to some our clients to redmine.

Because it's very sensitive action, we need more contron on how to see issues.

My idea is:

level 1 - see only ticket names (list of issues: name, dates, etc)

level 2 - ticket name and description

level 3 - ticket name, description and ticket history

Also, there can be a way how to "hide" some tickets from client (maybe tracker-based, field based, I don't know exactly now "how")

What others think?

History

#1 - 2009-02-16 15:01 - Thomas Capricelli

+1

We have the same need here in my company.

Though i understand this is needed only by a small percentage of redmine's users.

#2 - 2009-02-16 15:55 - Matthias Hofmann

In my company wee need:

- users (by role) to only be able to see tickets they have submitted themselves.

- limited users (by role) to only be able to see a subset of fields

- limited users (by role) to only be able to see but not to change some fields

I think these kinds of requirements are quite commonly demanded.

#3 - 2009-02-21 16:07 - Thomas Konrad

+1

Redmine is great. There is one major issue what prevents us from switching from our current tracker system to redmine.

We need to be able to be able to set read / write permissions per role for each field.

#4 - 2009-02-27 16:08 - Jean-Philippe Lang

- Category changed from Permissions and roles to Issues permissions

#5 - 2009-04-12 18:08 - Chaoqun Zou

+1

I thought there was a simple way:

limit users (by permission) to only be able to see tickets they are invloved or watched

Powered by TCPDF (www.tcpdf.org)

2025-08-23 1/1

http://www.tcpdf.org

